Select to view content in your preferred language

Will iOS SDK version used by AppStudio be updated before 29th April 2024?

418
2
Jump to solution
03-28-2024 09:37 AM
MappyIan
Occasional Contributor II

This is a question for ESRI staff really, maybe @ChrisLeSueur.

At the moment when we create a new version of our app in AppStudio, when we do the build we get the following warning regarding the iOS SDK version used to build the app: 

"ITMS-90725: SDK version issue - This app was built with the iOS 16.1 SDK. Starting April 29, 2024, all iOS and iPadOS apps must be built with the iOS 17 SDK or later, included in Xcode 15 or later, in order to be uploaded to App Store Connect or submitted for distribution."

I just wanted to check that ESRI are going to release an update/hotfix for AppStudio before 29th April that addresses this issue?  In this ESRI blog post regarding the retirement of AppStudio, it does say:

"Esri will deliver any updates to the product as hotfixes to address significant bugs, maintain compatibility with app stores, and comply with security requirements until the retirement date."

But it would be nice to know that an update/hotfix is definitely in the pipeline as we'll have problems if we are unable to build new versions of our app after 29th April.

Thanks in advance.

Tags (2)
1 Solution

Accepted Solutions
TrevorFrame
Esri Contributor

Hi @MappyIan,

We will be updating the Cloud Make systems the week of April 22nd so that iOS apps will be built with iOS 17 SDK. 

Best regards, 

Trevor

View solution in original post

2 Replies
TrevorFrame
Esri Contributor

Hi @MappyIan,

We will be updating the Cloud Make systems the week of April 22nd so that iOS apps will be built with iOS 17 SDK. 

Best regards, 

Trevor

MappyIan
Occasional Contributor II

Hi @TrevorFrame, many thanks for responding.  Great to hear that an update is in the pipeline for next week.

Regards - Ian

0 Kudos